<?php
include("connect.php");
include("login_cookies.php");

if ($_GET[choose] == "add") {
	if ($_GET[adding] == "true") {
if ($_POST[name] == "" || $_POST[URL] == "" || $_POST[img] == "" || $_POST[submit] == "") {
header("Location: index.php?message=failure&errorid=27173");
	} else {

$replace["tekst"] = str_replace("Ø", "&Oslash;", $_POST["tekst"]);
$replace["tekst"] = str_replace("ø", "&oslash;", $replace["tekst"]);
$replace["tekst"] = str_replace("Å", "&Aring;", $replace["tekst"]);
$replace["tekst"] = str_replace("å", "&aring;", $replace["tekst"]);
$replace["tekst"] = str_replace("Æ", "&Aelig;", $replace["tekst"]);
$replace["tekst"] = str_replace("æ", "&aelig;", $replace["tekst"]);

mysql_query("INSERT INTO `pytox_affiliates` (`id`, `exist`, `navn`, `url`, `text`, `img`) VALUES ('', '1', '{$_POST[name]}', '{$_POST[URL]}', '{$replace[tekst]}', '{$_POST[img]}')") or die(mysql_error());
print "Parneren blev oprettet med succes!";
	}
	} else {
?>
<form name="partner" action="?site=Adminpartnere&amp;choose=add&amp;adding=true" method="post">
Hjemmesiden navn: <input type="text" id="navn" name="name" />
<br />
Hjemmesiden URL: <input type="text" name="URL" />
<br />
Bannerbyt logo: <input type="text" name="img" />
<br />
Evt. lidt om siden:
<br />
<textarea cols="70" rows="18" name="tekst"></textarea>
<br />
<input type="submit" id="submit" name="submit" value="Tilføj partneren til listen" class="submit" />
</form>
<?php
}
} else if ($_GET[choose] == "delete") {

	if ($_GET[del] == "true" && isset($_GET[id])) {
	
mysql_query("UPDATE `pytox_affiliates` SET `exist` = '0' WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

print "Partneren blev slettet med succes!";

} else {

while($aff = mysql_fetch_array($db_affiliates)) {

print "<strong>".$aff[navn]."</strong> <a href=\"?site=Adminpartnere&amp;choose=delete&amp;del=true&amp;id=".$aff[id]."\">Slet</a>
<br />";

}
}
} else {
?>
<a href="?site=Adminpartnere&amp;choose=add" title="Tilføj en partner">Tilføj en partner</a>
<br />
<br />
<a href="?site=Adminpartnere&amp;choose=delete" title="Slet en partner">Slet en partner</a>
<?php
}
?>
<br />